using System;
using System.Windows.Threading;

internal sealed class Delegate74 : MulticastDelegate
{
	public extern DispatcherOperation Invoke(object object_0, Delegate delegate_0, object[] object_1);

	public static DispatcherOperation smethod_0(object object_0, Delegate delegate_0, object[] object_1, Delegate74 delegate74_1)
	{
		return delegate74_1(object_0, delegate_0, object_1);
	}

	public extern Delegate74(object object_0, IntPtr intptr_0);

	static Delegate74()
	{
		Class10.smethod_13(typeof(Delegate74).TypeHandle);
	}

	internal static Delegate74 delegate74_0;
}
